Get a vessel using the imo
curl --request GET \
--url https://api.terminal49.com/v2/vessels/{imo} \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/vessels/{imo}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/vessels/{imo}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vessel",
"attributes": {
"name": "Ever Given",
"imo": "9811000",
"mmsi": "353136000",
"latitude": 25.29845,
"longitude": 121.217,
"nautical_speed_knots": 90,
"navigational_heading_degrees": 194,
"position_timestamp": "2023-07-28T14:01:37Z",
"positions": [
{
"latitude": 1.477285,
"longitude": 104.535533333,
"heading": 51,
"timestamp": "2025-05-23T19:14:22Z",
"estimated": false
}
]
}
}
}{
"errors": [
{
"status": "403",
"source": {},
"title": "Forbidden",
"detail": "Routing data feature is not enabled for this account"
}
]
}Vessels
Get a vessel by IMO
Retrieve a vessel from the Terminal49 API by IMO number, including the vessel name, internal ID, and optional AIS position data on paid plan accounts.
GET
/
vessels
/
{imo}
Get a vessel using the imo
Authorizations
Use a Terminal49 API key in the Authorization header with the Token prefix.
Authorization: Token YOUR_API_KEY
Path Parameters
Query Parameters
ISO 8601 timestamp to filter positions from. 7 days by default.
Example:
"2025-05-20T00:00:00Z"
ISO 8601 timestamp to filter positions up to. Current time by default.
Example:
"2025-05-24T00:00:00Z"
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
โI